%define anolis_release 3

Name:           python-editables
Version:        0.3
Release:        %{anolis_release}%{?dist}
Summary:        Editable installations

License:        MIT
URL:            https://github.com/pfmoore/editables
# PyPI source distributions lack tests; use the GitHub archive
Source0:        %{url}/archive/%{version}/editables-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# Most of the dependencies, and all of the pytest options, in tox.ini are for
# coverage analysis and for installation with pip/virtualenv. Rather than
# working around all of these, it is simpler not to use tox for dependency
# generation or testing.
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}

%package -n python3-editables
Summary:        %{summary}
 
%description -n python3-editables %{common_description}

%package -n python3-editables-doc
Summary:        Documentation files for python3-editables
Requires:       python3-editables = %{version}-%{release}
BuildArch:      noarch
 
%description -n python3-editables-doc
The python3-editables-doc package contains documentation files for python3-editables.

%prep
%autosetup -n editables-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editables

%check
%pytest

%files -n python3-editables -f %{pyproject_files}
%license LICENSE.txt

%files -n python3-editables-doc
%doc README.md CHANGELOG.md docs/source/*.md

%changelog
* Fri Mar 31 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.3-3
- Rename python3-editables to python-editables

* Wed Mar  1 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 0.3-2
- Optimize spec

* Fri Oct 14 2022 happy_orange <songnannan@linux.alibaba.com> - 0.3-1
- init package from upstream
